<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [joinFaction](./bitburner.singularity.joinfaction.md)

## Singularity.joinFaction() method

Join a faction.

**Signature:**

```typescript
joinFaction(faction: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  faction | string | Name of faction to join. |

**Returns:**

boolean

True if player joined the faction, and false otherwise.

## Remarks

RAM cost: 3 GB \* 16/4/1

This function will automatically accept an invitation from a faction and join it.

